Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453209 - Network Manager fails to properly set essid/? and fails to connect.
Summary: Network Manager fails to properly set essid/? and fails to connect.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 19:54 UTC by Douglas Kilpatrick
Modified: 2009-02-17 12:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-17 12:06:59 UTC


Attachments (Terms of Use)

Description Douglas Kilpatrick 2008-06-27 19:54:13 UTC
Description of problem:

I tell network manager to connect to usenix-802.11a-only, and it fails, never
associating.

If I run "iwconfig" while it's trying to associate, it shows the wrong essid
("usenix", a network I previously used).

If turn off wireless through the applet, then
   ifconfig wlan0 up
   iwconfig wlan0 essid usenix-802.11a-only
   iwconfig wlan0 channel 36
   iwconfig wlan0 ap 00:0F:7D:07:49:52

wlan0 comes up and associates with the specified access point.
If I then reenable networking in the applet and select the a-only network, it
will associate and get an IP address.



Version-Release number of selected component (if applicable):
$ rpm -q fedora-release
fedora-release-9-2.noarch
$ rpm -q NetworkManager
NetworkManager-0.7.0-0.9.4.svn3675.fc9.i386

How reproducible:
Not that.  It sometimes works on a cold boot.  It sometimes works when I retry
connecting just through the applet.


Additional info:
ipw3945 adapter

Usenix 2008.  Lots of wireless networks around: 52? of them, 21 cells of the
a-only essid.

Comment 1 Dan Williams 2008-07-02 23:07:16 UTC
Can you attach some logs from /var/log/messages showing a connection attempt?  I
need to see what NM is doing and why it might be falling back to usenix.  There
have been recent issues with wpa_supplicant, mac80211-based drivers, and A-band
access points that may affect this issue in the kernel as well.

Comment 2 Douglas Kilpatrick 2008-07-02 23:50:28 UTC
"Falling back to usenix" isn't quite right.  It had not yet given up on
associating with a-only, but iwconfig in a terminal window showed essid "usenix"
instead of the expected usenix-803.11a-only.

The logs say it set ssid, not esid.  Is this just confusion on my part? (Well,
aside from it not associating to a perfectly good network)

This looks representative:

Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) starting
connection 'Auto usenix-802.11a-only'
Jun 27 15:49:32 localhost NetworkManager: <info>  (wlan0): device state change:
3 -> 4
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Jun 27 15:49:32 localhost NetworkManager: <info>  (wlan0): supplicant connection
state change: 3 -> 0
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Jun 27 15:49:32 localhost NetworkManager: <info>  (wlan0): device state change:
4 -> 5
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto usenix-802.11a-only' requires no security.  No secrets needed.
Jun 27 15:49:32 localhost NetworkManager: <info>  Config: added 'ssid' value
'usenix-802.11a-only'
Jun 27 15:49:32 localhost NetworkManager: <info>  Config: added 'scan_ssid'
value '1'
Jun 27 15:49:32 localhost NetworkManager: <info>  Config: added 'key_mgmt' value
'NONE'
Jun 27 15:49:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Jun 27 15:49:32 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Jun 27 15:49:32 localhost NetworkManager: <info>  (wlan0): supplicant connection
state change: 0 -> 2
Jun 27 15:49:34 localhost NetworkManager: <info>  (wlan0): supplicant connection
state change: 2 -> 3
Jun 27 15:49:57 localhost NetworkManager: <info>  Activation (wlan0/wireless):
association took too long, failing activation.
Jun 27 15:49:57 localhost NetworkManager: <info>  (wlan0): device state change:
5 -> 9
Jun 27 15:49:57 localhost NetworkManager: <info>  Activation (wlan0) failed for
access point (usenix-802.11a-only)
Jun 27 15:49:57 localhost NetworkManager: <info>  Marking connection 'Auto
usenix-802.11a-only' invalid.
Jun 27 15:49:57 localhost NetworkManager: <info>  Activation (wlan0) failed.


I note I forgot to mention kernel version:
Jun 27 15:30:46 localhost kernel: Linux version 2.6.25.6-55.fc9.i686
(mockbuild@) (gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC) ) #1 SMP Tue
Jun 10 16:27:49 EDT 2008

should have been the relevant boot.

Comment 3 Dan Williams 2009-02-14 20:34:23 UTC
Is this better with recent kernels?  Connections are highly driver dependent.  If it's not, we can proceed with wpa_supplicant debug-level logging to get a better idea of what's really going on.

Comment 4 Douglas Kilpatrick 2009-02-14 21:06:58 UTC
The laptop currently has FC10 on it, and I haven't seen that behavior in a while.  But I also haven't been in any situation with a large number of cells either.

Comment 5 Dan Williams 2009-02-17 12:06:59 UTC
Ok, closing for now.  Don't hesitate to re-open the bug if you do encounter it again.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.